:root{
--cyan-color:#2A5760
}
html{overflow-x:hidden}
.gform-theme--api, .gform-theme--foundation{--gf-form-gap-y:20px!important;
--gf-ctrl-border-color-error:#FDA29B!important}

/* STEP 1 – Hide GF default buttons */
#gform_page_1_1 body .gform_wrapper form .gform_page:first-of-type .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(9) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(2) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(3) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(4) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(5) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(6) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(7) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(8) .gform_page_footer,#gform_page_1_1 body .gform_wrapper form .gform_page:nth-of-type(10) .gform_page_footer {
  display: none !important;
}
.gform-body.gform_body h1{color:#181D27;font-size:36px;font-weight:500;line-height:44px;letter-spacing:-0.72px}
.questions-buttons,.custom-tos-buttons{display:flex;justify-content:space-between;gap:10px;margin-top:20px}
.gsection_title{margin:0 0 -5px 0;font-weight:600;font-size:18px;line-height:26px}
form{position:relative!important}
.gform-body.gform_body::after{content:'';display:block;width:100%;height:100%;position:absolute;top:0;background-image:url(/wp-content/uploads/2025/10/Background-pattern-decorative.svg);background-size:100%;background-repeat:no-repeat;background-position:top;z-index:-1}
.questions-buttons button,
.custom-tos-buttons button{cursor:pointer}
.registration-left{padding:50px;background-color:var(--cyan-color);color:#fff;flex-direction:column}
.registration-left .registration-footer,.registration-left{display:flex;justify-content:space-between}
.registration-footer,.registration-left{color:#B8E7E9;font-size:14px}
.registration-left{position:sticky;top:20px}
div#gform_wrapper_1{padding:50px 30px 50px 8%;min-width:850px;max-width:1200px}
.page-template-template-registration .mcc-header{max-width:1200px}
/* .gfield--type-html p.text-desc,.gfield--type-html li,.gfield--type-html a{color:#535862;font-size:16px;line-height:24px} */
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-section{border:0!important}
.gfield--type-html ul{padding-left:20px}
.registration-steps svg{margin-bottom:50px}
/* .two_col_radio .gfield_radio  {flex-direction:row!important} */
.alert-wrap.white-alert{color:#414651;font-weight:400}
.alert-wrap.white-alert a{font-size:14px;color:#329FA8}
.loader-img{width:20px;position:relative;top:-1px;display:none}
.loading .loader-img{display:block;width:14px}
#verification-status{display:none}
span.gfield_required.gfield_required_asterisk{color:#2C828E!important}
.password-rules li.error-rules,.username-rules li.error-rules,.password-rules li.error-rules,.gform-theme--framework .field_description_below .gfield_description:where(:not(.gfield_creditcard_warning_message):not(.field_validation_above .gfield_validation_message):not(.ginput_counter_tinymce):not(.gfield_choice_limit_message)){
color:#D92D20}
.white-alert{border:1px solid rgba(0, 0, 0, 0.08);background:#FFF;box-shadow:0 12px 16px -4px rgba(10, 13, 18, 0.08),0 4px 6px -2px rgba(10, 13, 18, 0.03),0 2px 2px -1px rgba(10, 13, 18, 0.04)}
.mcc-registration{display:grid;grid-template-columns:30% 70%}
.custom-step{display:flex;gap:20px;align-items:baseline;margin-bottom:35px;position:relative}
.custom-step::before{content:'';position:absolute;top:36px;left:15px;width:2px;height:90%;background-image:url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="2" height="39" viewBox="0 0 2 39" fill="none"><path d="M1 1.78809L1 37.7881" stroke="%2352ADBA" stroke-width="2" stroke-linecap="round" stroke-dasharray="0.1 6"/></svg>');background-size:3px 37px;background-repeat:repeat-y}
div[data-step="4"]::before,div[data-step="5"]::before{display:none}
.custom-step[data-step="5"]::after{content:'';position:absolute;top:-82px;left:15px;width:2px;height:90%;background-image:url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="2" height="39" viewBox="0 0 2 39" fill="none"><path d="M1 1.78809L1 37.7881" stroke="%2352ADBA" stroke-width="2" stroke-linecap="round" stroke-dasharray="0.1 6"/></svg>');background-size:3px 37px;background-repeat:repeat-y}
.custom-step .circle{width:32px;height:32px;background:#5eabbc;text-align:center;border-radius:50px;font-size:14px;line-height:30px;color:#393636;font-weight:600}
.custom-step.pending .circle{background:transparent;border:1.5px solid #52ADBA;color:#fff}
.custom-step.completed .circle::after { content: ""; display: inline-block; width: 16px; height: 16px; background: url(/wp-content/uploads/2025/10/tick-icon.svg); background-size: contain; position: relative; top: 10px; background-repeat: no-repeat; }
.custom-step.completed .circle{font-size:0!important}
.registration-left .custom-step.active strong{color:#fff}
.text{font-size:16px;line-height:20px;width:80%}
.text strong{font-weight:600}
.text p:last-child{color:#B8E7E9}
.custom-tos-buttons{justify-content:left}
.custom-step.pending .text strong{color:#B5C7CA}
.custom-step.pending .text p:last-child{color:#9BCCD1}
.gf-grey-back-wrap{border-radius:8px;border:1px solid#E9EAEB;background:#FAFAFA;padding:16px 16px 0}
.gf-grey-back-wrap p{font-size:14px!important;line-height:20px!important}
.gfield--width-half select,.gfield--width-half .datepicker{width:100%!important}
.questions-buttons{position:relative}
.questions-buttons .two-btn-group{gap:30px;display: flex}
p.gform_required_legend{display:none}
.ginput_container_date{display:block!important}
.gform_validation_errors{flex-direction:row!important;gap:15px!important;border-radius:12px!important;border:1px solid rgba(0, 0, 0, 0.08)!important;background:#FEE4E2!important;box-shadow:0 12px 16px -4px rgba(10, 13, 18, 0.08), 0 4px 6px -2px rgba(10, 13, 18, 0.03),0 2px 2px -1px rgba(10, 13, 18, 0.04)!important;font-size:14px!important;line-height:20px!important}
.gform_validation_errors .icon-wrap{width:38px;height:38px}
.gform_validation_errors p.error-msg{color:#181D27;font-weight:600}
.gform_validation_errors li.error-msg{color:#414651;font-weight:400}
.gform_validation_errors .text-desc a{color:#2A6974;font-size:14px;font-weight:600;line-height:20px;text-decoration:none}
.gform_validation_errors ul.gf-error-details{list-style-type:disc;margin-left:20px;margin-bottom:10px;margin-top:5px}
.registration-footer-right .img{position:relative;top:1px}
.registration-footer-right a{text-decoration:none}
.registration-layout{width:100vw;margin-left:calc(50% - 50vw);margin-right:calc(50% - 50vw);display:flex;min-height:100vh}
.registration-left{position:fixed;top:0;left:0;width:30vw;height:100vh;overflow-y:auto}
.header-n-form{margin-left:30vw;width:70vw;min-height:100vh}
.reg-ps-table-row,.reg-ps-table-row-total{display:flex;justify-content:space-between;gap:5px;margin-bottom:10px}
.reg-ps-table-row{font-size:14px;color:#414651;font-weight:500}
.reg-ps-table-row-total{font-size:18px;color:#181D27;font-weight:600;margin: top 15px}
.order-sum-wrap{display:flex;gap:13px;font-size:18px;color:#181D27}
.order-sum-head{font-weight:600}
.order-sum-date{font-weight:400!important}
.woocommerce-order-details,#gform_confirmation_wrapper_1{padding-left:100px}
.mcc-payment-confirmation{width:80%}
.mcc-payment-confirmation .alert-wrap.white-alert{margin:30px 0}
.final-buttons{display:flex;gap:15px;margin-bottom: 20px}
/* General Table Styling */
.woocommerce-table.order_details{width:100%;max-width:700px;border-collapse:collapse;margin:30px 0;font-size:14px;color:#535862;overflow:hidden}
.woocommerce-Price-amount.amount{display:block;text-align:right}
.woocommerce-table.order_details thead{background-color:#f8fafc}
.woocommerce-table.order_details th{text-align:left;padding:10px;font-weight:600;border-bottom:1px solid #e5e7eb}
.woocommerce-table.order_details td{padding:10px;border-bottom:1px solid #f0f0f0;vertical-align:middle}
.woocommerce-table.order_details a{color:#2b818c;text-decoration:none;font-weight:500;font-size:14px}
.product-quantity{font-weight:500;margin-left:5px}
.woocommerce-table.order_details tfoot th{background-color:#f9fafb;width:60%}
.woocommerce-table.order_details tfoot td,
.woocommerce-table__product-table product-total{text-align:right;color:#111}
.woocommerce-table.order_details tfoot tr:last-child td{font-weight:500;color:#2a5760}
.password-rules li.error-rules, .username-rules li.error-rules, 
.password-rules li.error-rules,
.gform-theme--framework .field_description_below .gfield_description:where(:not(.gfield_creditcard_warning_message):not(.field_validation_above .gfield_validation_message):not(.ginput_counter_tinymce):not(.gfield_choice_limit_message)){
color:#D92D20!important}
.pay-sucess-wrap{text-align:center;padding-bottom:10px;border-bottom:1px solid #E9EAEB;margin-bottom:30px}
.pay-sucess-wrap h2{margin:10px 0 15px}
.mcc-payment-summary{margin-top:30px}
.mcc-gform-left-section{width:24%;display:inline-block;vertical-align:top}
.mcc-gform-right-section{width:69%;display:inline-block;vertical-align:top}
.mcc-gform-left-section .custom-step .circle{background:#2B818C;color:#fff}
.mobile-accessibility{display:flex;align-items:center;gap:10px}
.mobile-leftbar-slide {display: none;}


@media (max-width:1199px){
  .mobile-leftbar-slide{display:block}
  .mobile-leftbat-slide svg{fill:#fff}
  .header-n-form{margin-left:0;width:100%;min-height:unset}
  .registration-left{position:fixed;left:0;top:0;width:360px;height:100%;transform: translateX(-100%);transition: transform 0.4s ease;z-index:1;padding:30px 20px}
  .close-sidebar,.registration-left.active .menu-btn{display:none}
  .registration-left.active{ transform: translateX(0); }
  .registration-left.active .close-sidebar{display:block}
  .mobile-sidebar{display:flex;align-items:center;justify-content:space-between}
  .mobile-leftbar-slide{cursor:pointer}
  .mcc-registration{grid-template-columns:100%}
  .mcc-header{justify-content:space-between!important}
  div#gform_wrapper_1{padding:30px;min-width:auto}
}

@media (max-width:600px){
  .woocommerce-table.order_details td,.woocommerce-table.order_details th{display:block;width:100%;text-align:right}
  .woocommerce-table.order_details th::before{content:attr(scope);float:left;text-transform:capitalize;color:#555}
  .questions-buttons { flex-direction: column; gap: 20px;}
}

@media (max-width: 420px) {
  .mcc-login-container {padding: 14px;}
  div#gform_wrapper_1 {padding: 20px 15px 30px;}
  .registration-left {max-width: 300px;}
  .registration-steps svg {width: 80%;}
}